Bug 190487 - Kickstart fails to run if root password not selected as encrypted
Kickstart fails to run if root password not selected as encrypted
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-kickstart (Show other bugs)
5
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-02 16:42 EDT by Philip Prindeville
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 15:26:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed fix. (435 bytes, patch)
2006-05-02 16:42 EDT, Philip Prindeville
no flags Details | Diff

  None (edit)
Description Philip Prindeville 2006-05-02 16:42:37 EDT
Description of problem:

When one unchecks the "Encrypt root password" box, the "Save" and "Preview" File
menu options become unresponsive.

Version-Release number of selected component (if applicable):

2.6.6.4

How reproducible:

This only happens when the password isn't to be saved encrypted.

Steps to Reproduce:
1. Enter config, including root password.
2. Uncheck "encrypt root password".
3. Attempt to Save or Preview the config.
  
Actual results:

No pop-up with the config and/or no config saved.

On the controlling terminal, however, one sees:

Traceback (most recent call last):
 File "/usr/share/system-config-kickstart/kickstartGui.py", line 293, in
on_activate_preview_options
   if self.getAllData() != None:
 File "/usr/share/system-config-kickstart/kickstartGui.py", line 237, in getAllData
   if self.basic_class.formToKsdata(doInstall) is None:
 File "/usr/share/system-config-kickstart/basic.py", line 202, in formToKsdata
   self.ksdata.rootpw["password"] = pure
UnboundLocalError: local variable 'pure' referenced before assignment 


Expected results:

Pop-up dialog with config or file chooser asking where to save config.

Additional info:

See proposed fix.
Comment 1 Philip Prindeville 2006-05-02 16:42:37 EDT
Created attachment 128518 [details]
Proposed fix.
Comment 2 Chris Lumens 2006-05-03 09:40:26 EDT
Thanks for the patch.  Will be fixed in 2.6.10-1.

Note You need to log in before you can comment on or make changes to this bug.